View Issue Details

IDProjectCategoryView StatusLast Update
0005113Multi Theft Auto : San AndreasClientpublic2018-09-22 18:56
ReporterTjongAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionsuspended 
PlatformAnyOSAnyOS Version
Product Version 
Target VersionFixed in Version 
Summary0005113: setPedControlState doesn't work on the control "enter_exit"
Description

I don't know if it works on a Windows server but on my home-server which is running on Ubuntu 9.10 I can't use "setPedControlState" with the parameter "enter_exit". There is no error or warning, the ped is just doing nothing, while controls like "jump", "sprint" or "forwards" work. Ped and vehicle are both created server-side.

TagsNo tags attached.

Relationships

has duplicate 0006076 closed New issues not working setPedControlState for peds/players "enter_exit" 
has duplicate 0007725 closed New issues Add "enter_exit" control state for peds 
has duplicate 0008799 closed New issues [Request] Allow peds to enter/exit vehicles with animation 

Activities

Tjong

2009-12-06 11:59

viewer   ~~0010836

getPedControlState doesn't work as well... the function just always returns "false"

DakiLLa

2009-12-06 20:38

viewer   ~~0010837

btw, 'enter_passenger' is also doesnt work

nich

2011-05-10 07:55

viewer   ~~0013351

x86 answered on another topic that we should use setControlState, but this gives us no possibility to execute it for peds.

There's no way to warp a ped into a car clientside whatsoever at the moment.

x86

2011-05-10 13:47

administrator   ~~0013354

Peds can't enter/leave vehicles

MX_Master

2011-05-10 14:24

viewer   ~~0013355

can just be warped?

nich

2011-05-10 15:43

viewer   ~~0013356

Last edited: 2011-05-10 15:44

In either case, there should be a client-side way to warp a ped into a vehicle. (Possible on server-side only atm)

lil_Toady

2011-05-10 15:53

administrator   ~~0013357

Peds can not enter vehicles the normal way as it's a sequence of packets asking permission from the server to enter a vehicle, and we don't sync peds the way we sync players.

arranTuna

2013-07-24 17:07

manager   ~~0018976

Possible scripting work around:

Get the nearest door position and tell the ped to move there.
Attach the ped to the vehicle so that if it moves ped comes with it.
Use setElementCollidableWith so the ped can animate into the vehicle.
Do a door entering animation.
Open and close door with setVehicleDoorOpenRatio.
Finally use warpPedIntoVehicle.

Dragon

2013-07-26 14:25

reporter   ~~0018989

Peds being able to enter/exit/be jacked would be great for the traffic resource.

arranTuna

2018-09-21 17:46

manager   ~~0027022

Moved to https://github.com/multitheftauto/mtasa-blue/issues/535

Issue History

Date Modified Username Field Change